Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.examplev1
Class TestInetCidrRouteTablePdu

    java.lang.Object
      |
      +--uk.co.westhawk.examplev1.TestInetCidrRouteTablePdu

All Implemented Interfaces:
  java.util.Observer

public class TestInetCidrRouteTablePdu
extends java.lang.Object
implements java.util.Observer

This class is written to test the IPv6 functionality; net-snmp 5.3.0.1 provides experimental implementation for this table. The inetCidrRouteTable replaces the IPv4-specific ipCidrRouteTable, its related objects, and related conformance statements. See IP-FORWARD-MIB.

It walks the tree by creating a new InetCidrRouteTablePdu out off the previous one, and it collects the values of all the addresses. It also figures out the IPv6 address from the oid.

The information will be printed to System.out .

The host, port, community name and sockettype can be configured in the properties file. The name of the properties file can be passed as first argument to this application. If there is no such argument, it will look for `TestInetCidrRouteTablePdu.properties`. If this file does not exist, the application will use default parameters.

Version:
  $Revision: 1.3 $ $Date: 2006/03/23 14:46:47 $
Author:
  Birgit Arkesteijn

Constructor Summary
`TestInetCidrRouteTablePdu(java.lang.String propertiesFilename)` Constructor.

Method Summary
`void` | `init()`
`static void` | `main(java.lang.String[] args)` Main.
`void` | `start()`
`void` | `update(java.util.Observable obs, java.lang.Object ov)` Implementing the Observer interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestInetCidrRouteTablePdu

    public TestInetCidrRouteTablePdu(java.lang.String propertiesFilename)

  Constructor.

Parameters:
  `propertiesFilename` - The name of the properties file. Can be null.

Method Detail

### init

    public void init()

### start

    public void start()

### update

    public void update(java.util.Observable obs,
                       java.lang.Object ov)

  Implementing the Observer interface. Receiving the response from the Pdu. Figures out the IPv6 address from the oid.

  Specified by:
    `update` in interface `java.util.Observer`
  Parameters:
    `obs` - the InetCidrRouteTablePdu variable
    `ov` - the array of varbind (not used)
  See Also:
    `InetCidrRouteTablePdu`, `varbind`

### main

    public static void main(java.lang.String[] args)

  Main. To use a properties file different from `TestInetCidrRouteTablePdu.properties`, pass the name as first argument.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD